﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace mPCIe_DIO_24s
{    
    public partial class Winform_PulseDetectConfig : Form
    {
        private static eConfigParam trigger_type = eConfigParam.eNone;        
        public bool enable_irq = false;        

        public Winform_PulseDetectConfig()
        {
            InitializeComponent();
        }

        public static eAltFunction PulseDetect_Trigger_type
        {
            get
            {
                return (eAltFunction)trigger_type;
            }            
        }

        public static eAltFunction Trigger_Type
        {
            get
            {
                return (eAltFunction)trigger_type;
            }
        }        

        private void btOK_Click(object sender, EventArgs e)
        {            
            if (rdRisingEdge.Checked == true)            
                trigger_type = eConfigParam.eRisingEdge;            
            else if (rbFallingEdge.Checked == true)
                trigger_type = eConfigParam.eFallingEdge;
            else if (rbHighPulse.Checked == true)
                trigger_type = eConfigParam.eHighPulse;
            else if (rbLowPulse.Checked == true)
                trigger_type = eConfigParam.eLowPulse;

            if (cbEnableIRQ.Checked == true)
                enable_irq = true;

            ucPinConfig.PulseDetectConfigUpdate(trigger_type, enable_irq);

            // Close the popup window
            this.Close();            
        }      
    }
}
